@echo on
@rem # /*
@rem #  * IBM Confidential OCO Source Material
@rem #  *
@rem #  * Licensed Materials - Property of IBM
@rem #  * 5724-Y62 WebSphere Sensor Events
@rem #  * (C) Copyright IBM Corp. 2009  All rights reserved.
@rem #  *
@rem #  * The source code for this program is not published or otherwise divested
@rem #  * of its trade secrets, irrespective of what has been deposited with the
@rem #  * U. S. Copyright Office.
@rem #  *
@rem #  * US Government Users Restricted Rights - Use, duplication or
@rem #  * disclosure restricted by GSA ADP Schedule Contract with IBM
@rem #  * Corp.
@rem #  */

REM Usage: LASGenericSocketAdapter <configuration file name>
REM    where the configuration file contains all the settings         
REM    and configuration information needed by the simulator.

title LASGenericSocketAdapter started

@setlocal

set MYERRORLEVEL=0

REM Set current Drive and PATH
set CURRENT_MAIN_DRIVE=%~d0
set CURRENT_MAIN_PATH=%~dp0

%CURRENT_MAIN_DRIVE%
cd %CURRENT_MAIN_PATH%

REM ###########################################################################
REM get actual configuration
REM ###########################################################################

if not exist ..\las.config.properties (
   echo ++++ %DATE%:%TIME% ERROR: ..\las.config.properties is missing!
   set MYERRORLEVEL=1
   goto :EXIT
)

if not exist ..\installer\las.system.properties (
   echo ++++ %DATE%:%TIME% ERROR: ..\installer\las.system.properties is missing!
   set MYERRORLEVEL=1
   goto :EXIT
)

if "%LAS_LIBRARY%"=="" (
    for /F "tokens=2 delims=." %%i in ('findstr /x "settings.[0-9]*.name=laslibrary" ..\installer\las.system.properties') do set nbr=%%i
	echo nbr=%nbr%
    for /F "tokens=2 delims==" %%i in ('findstr "settings.%%nbr%%.value" ..\installer\las.system.properties') do set LAS_LIBRARY=%%i

)

set LAS_LIBRARY=%WAS_HOME%\lib\ext

if "%LAS_LIBRARY%"=="" (
    set MYERRORLEVEL=5
    echo "ERROR: Variable LAS_LIBRARY is not set!"
    goto :EXIT
)

REM --------------------------------------------------------
REM                start calling LAS Generic Socket Adapter 
REM --------------------------------------------------------

SET CLASSPATH=%IBM_RFID_HOME%\premises\client\AdapterFramework\jars\LASSonitorAdapter.jar;%IBM_RFID_HOME%\premises\client\AdapterFramework\jars\PremisesLASSocketAdapter.jar;%IBM_RFID_HOME%\premises\client\AdapterFramework\jars\PremisesLasAdapterFramework.jar;%LAS_LIBRARY%\AtlasCommon.jar;%LAS_LIBRARY%\AtlasEventConverter.jar;%LAS_LIBRARY%\LasEvents.jar;%LAS_LIBRARY%\LasIbmseEventModel.jar;%IBM_RFID_HOME%\premises\api\lib\ibmse_event_model.jar;%IBM_RFID_HOME%\premises\api\lib\ibmse_event_model_converter.jar;%IBM_RFID_HOME%\premises\api\lib\ibmse_event_model_uuid.jar;%LAS_LIBRARY%\aspectjrt.jar;%LAS_LIBRARY%\log4j-1.2.13.jar;%LAS_LIBRARY%\jdom.jar;%IBM_RFID_HOME%\premises\client\AdapterFramework\jars\serviceProxies.jar;%WAS_HOME%\plugins\com.ibm.ws.emf_2.1.0.jar;%WAS_HOME%\runtimes\com.ibm.ws.webservices.thinclient_6.1.0.jar;%IBM_RFID_HOME%\premises\client\AdapterFramework\jars\xercesImpl.jar;%CLASSPATH%

java com.ibm.rfid.premises.adapter.main.LASConfigurableSocketAdapter LASGenericSocketAdapterConfigurationForSonitor.properties

REM --------------------------------------------------------
REM                end calling LAS Generic Socket Adapter
REM --------------------------------------------------------

title LASGenericSocketAdapter finished
ENDLOCAL
:EXIT
@pause
exit /b %MYERRORLEVEL%
endlocal
